Skip to main content
GET
/
templates
/
{id}
/
fields
Get template fields
curl --request GET \
  --url https://api.firma.dev/functions/v1/signing-request-api/templates/{id}/fields \
  --header 'Authorization: <api-key>'
{
  "results": [
    {
      "id": "field123-e89b-12d3-a456-426614174000",
      "type": "signature",
      "required": true,
      "recipient_id": "user123-uuid",
      "variable_name": null,
      "position": {
        "x": 100,
        "y": 200,
        "width": 200,
        "height": 50
      },
      "page_number": 1,
      "dropdown_options": null,
      "multi_group_id": null,
      "date_signing_default": false,
      "format_rules": null,
      "validation_rules": null,
      "read_only": false,
      "read_only_value": null
    },
    {
      "id": "field456-e89b-12d3-a456-426614174000",
      "type": "date",
      "required": true,
      "recipient_id": "user123-uuid",
      "variable_name": null,
      "position": {
        "x": 100,
        "y": 250,
        "width": 150,
        "height": 30
      },
      "page_number": 1,
      "dropdown_options": null,
      "multi_group_id": null,
      "date_signing_default": true,
      "format_rules": {
        "date_format": "MM/DD/YYYY"
      },
      "validation_rules": null,
      "read_only": false,
      "read_only_value": null
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.firma.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

id
string<uuid>
required

Template ID

Response

Template fields retrieved successfully

results
object[]